Bug 1265197 - quota: restrict creating hard-links across quota limit directories
quota: restrict creating hard-links across quota limit directories
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: quota (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Manikandan
storage-qa-internal@redhat.com
: ZStream
Depends On:
Blocks: 1267464
  Show dependency treegraph
 
Reported: 2015-09-22 07:11 EDT by Vijaikumar Mallikarjuna
Modified: 2016-09-17 08:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1267464 (view as bug list)
Environment:
Last Closed: 2015-10-06 04:21:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaikumar Mallikarjuna 2015-09-22 07:11:34 EDT
Currently it is allowed to create hard-link across quota limit directories. 
This becomes hard to enforce quota.
Comment 2 Vijaikumar Mallikarjuna 2015-10-06 04:21:08 EDT
This cannot be implemented in the current quota design:
Consider below scenario

Case-1)
a) below data with hard-links pre-exists
   /d1/f1
   /d2/f1
b) Set quota limit on /d1 and /d2
c) Now when creating hard-link /d1/f1 /d1/f2 can fail
   As we do fetch the inode_parent of f1 (f1's parent can be /d1 or /d2 in the
   dentry list)

Case-2)
a) Set quota limit on /d1 and /d2
b) create file /d1/f1 and link /d1/f2
c) rename /d1/f2 /d2/f2
d) Now when creating hard-link /d1/f1 /d1/f2 can fail
   As we do fetch the inode_parent of f1 (f1's parent can be /d1 or /d2 in the
   dentry list)


So marking the bug as wontfix

Note You need to log in before you can comment on or make changes to this bug.